################################################################################
# Pods::Instance
#
# Represents an instance of the pods environment (e.g., an AWS account that's
# been setup to work with Pods).
################################################################################

require 'forwardable'

module Pods
  class Instance
    extend Forwardable

    attr_reader :adapter

    def initialize(adapter)
      @adapter = adapter.dup
    end

    # def_delegator :@adapter, :config, :configure

    def configuration
      @_config ||= adapter.load_config
    end

    def configure(config={})
      adapter.set_config(config)
      @_config = nil
    end

    def build_pod(pod_file)
      adapter.build_pod(pod_file)
    end

    def delete_pod(pod_file)
      adapter.delete_pod(pod_file)
    end
  end
end
